XMLWordPrintable

Details

    • Task
    • Status: Closed (View Workflow)
    • TBD
    • Resolution: Done
    • None
    • None
    • None
    • None

    Description

      Description: Update the stripes-cli dev-dep to ^2.0.0

      Details: This should be a low-effort upgrade, literally just bumping the major version in the package.json. stripes-cli v1 had a direct dependency on stripes-core and an undocumented, internal, peer-dependency on stripes-components; both have been removed and replaced with a direct-dep on stripes-webpack. The change in the peer-dependency is the cause for the major-version upgrade.

      Please note: if you use a global install of stripes-cli for serving or testing your app, e.g. via stripes serve or stripes-test, you should stop doing that and instead handle serving and testing via your app's stated dev-dependencies, i.e. yarn stripes serve or yarn stripes test. It is perfectly fine to install stripes-cli globally and to use that install to, e.g. query okapi, but tasks related to app development must be handled via the app's dev-dependencies in order to be reliable.

      TestRail: Results

        Attachments

          Issue Links

            Activity

              People

                mpk35 Michal Kuklis
                zburke Zak_Burke
                Votes:
                0 Vote for this issue
                Watchers:
                2 Start watching this issue

                Dates

                  Created:
                  Updated:
                  Resolved:

                  TestRail: Runs

                    TestRail: Cases